summaryrefslogtreecommitdiff
path: root/tests/tail-2/proc-ksyms
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/proc-ksyms')
-rwxr-xr-xtests/tail-2/proc-ksyms38
1 files changed, 38 insertions, 0 deletions
diff --git a/tests/tail-2/proc-ksyms b/tests/tail-2/proc-ksyms
new file mode 100755
index 0000000..ba9fccd
--- /dev/null
+++ b/tests/tail-2/proc-ksyms
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Prior to textutils-2.0.17, `tail /proc/ksyms' would segfault on Linux.
+
+# Copyright (C) 2001, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tail --version
+fi
+
+pwd=`pwd`
+tmp=proc-ksyms.$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+fail=0
+
+ksyms=/proc/ksyms
+if test -r $ksyms; then
+ tail $ksyms > /dev/null || fail=1
+fi
+
+(exit $fail); exit $fail